<script setup lang="ts">
import type { PagePermission } from '~/models/role'
import Error from '~/components/pub/my-ui/error/error.vue'
import { PAGE_PERMISSIONS } from '~/lib/page-permission'
import ContentChemotherapyAdminList from '~/components/content/chemotherapy/admin-list.vue'
import ContentChemotherapyVerification from '~/components/content/chemotherapy/verification.vue'

definePageMeta({
  middleware: ['rbac'],
  roles: ['doctor', 'nurse', 'admisi', 'pharmacy', 'billing', 'management'],
  title: 'Kemoterapi Admin',
  contentFrame: 'cf-full-width',
})

const route = useRoute()

useHead({
  title: () => 'Verifikasi Jadwal Pasien',
})

const roleAccess: PagePermission = PAGE_PERMISSIONS['/doctor'] || {}

const { checkRole, hasReadAccess } = useRBAC()

// Check if user has access to this page
const hasAccess = checkRole(roleAccess)
if (!hasAccess) {
  navigateTo('/403')
}

// Define permission-based computed properties
const canRead = true // hasReadAccess(roleAccess)

const mode = computed(() => route.params.mode as string)
</script>

<template>
  <div>
    <div v-if="canRead">
      <ContentChemotherapyVerification />
    </div>
    <Error
      v-else
      :status-code="403"
    />
  </div>
</template>
